# gsn_data_management


## Requirements

Python and additional modules are required. Using anaconda you can install the requirements by executing the following command from this directory and activating the newly created environment

```
conda env create -f condaEnvironment.yml
source activate manage_GSNdata
```

Besides the training data, the scripts need additional disk space to store the preprocessed data. This can more than 60GB. Make sure you have enough disk space available. Alternativly, you can specify a location with enough storage. See **Changing paths** section.

## Getting Started

Install the requirements.

Run from the *gsn_data_management/* directory:

```
python manage_GSNdata.py --help
python run_experiment.py
```

